Subject: Question on bulk dequeue support in virtual drivers

From: James Yonan <[email-masked]>
Date: Thu, 20 Nov 2014 05:39:44 -0700

Consider a tunneling driver that receives packets in ndo_start_xmit, 
encapsulates them in UDP, and forwards via ip_local_out.  The 
ndo_start_xmit implementation can implement bulking by looking at 
skb->xmit_more.  But then how to efficiently transmit the resulting 
bulked list of encapsulated packets via UDP, so that the packets both 
enter and leave the driver in bulked form?  Is there an ip_local_out 
alternative for bulked skb lists?

James